Bug 190158 - textproc/kdiff3 fails to save output with -o relative path
Summary: textproc/kdiff3 fails to save output with -o relative path
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-24 02:30 UTC by Ed Maste
Modified: 2014-06-05 17:52 UTC (History)
2 users (show)

See Also:


Attachments
patch-23ad423 (3.15 KB, patch)
2014-05-24 02:30 UTC, Ed Maste
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2014-05-24 02:30:00 UTC
Using kdiff3 as "git mergetool" fails to save output specified as a relative
path.

Upstream fix here: http://sourceforge.net/p/kdiff3/code/ci/23ad423e4255c80ee22b269f73e20333f7c06678/

How-To-Repeat: printf '1\n' > file.BASE
printf '0\n1\n' > file.r0
printf '1\n2\n' > file.r1
kdiff3 --auto -o ./file file.BASE file.r0 file.r1

(From https://bugs.archlinux.org/task/31813)
Comment 1 Edwin Groothuis freebsd_committer 2014-05-24 02:30:03 UTC
Maintainer of textproc/kdiff3,

Please note that PR ports/190158 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190158

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-05-24 02:30:04 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 luca.pizzamiglio 2014-05-30 14:16:52 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

shortly tested, I agree with the patch.

It can be committed.

Thanks

On 05/24/14 03:30, Edwin Groothuis wrote:
> Maintainer of textproc/kdiff3,
>
> Please note that PR ports/190158 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190158
>

best regards,
pizzamig
-----BEGIN PGP SIGNATURE-----
Version: APG v1.1.1

iQRLBAEBCgA1BQJTiITBLhxMdWNhIFBpenphbWlnbGlvIDxsdWNhLnBpenphbWln
bGlvQGdtYWlsLmNvbT4ACgkQQdIlJz23K0lJ2CAAiOJxQqCdFQ4SRq38WYbxb32D
n79JDVLUVUxxzczG1nvxLEYLQRF1DSKnHyxDIj7rOGGeYYKRBO7MRjuDy767sE6H
1ON4hQVelLsUxTl5JbklJF8+oKlv0M0kAnygdzZbMDZntWsgQqFaDPdI4Gadn2Rm
LR6OjdQuReZWGIHK6nZK8b98CUHS3vu3TDMoz+Z/RBKeus56ONeiHwYrbIbvLxNw
+/z3H3QHew7+AXb24KmMnAzkOD4aXvh8jpmEs2GSS33vZ46DPwzFMBUQdoOqxG76
AbLT0eXGgNfPLyfCi8K94N9HCd+ASOxWdmi5mrSJRoCu+IPl2sjuXjjNToQEMVaK
ZuZ+t0Tz3dTDRKobIYhFTjDTEQxyYEjNMUkVKQml3dTLP3+yCbkfRIAsjRFnPbbb
mq76PFBgUY+MoYpTiJelxqv8fzcWwfpvAvkOOtaLsWx6DhKoZ6KmwunXP7IRVDQl
eo2lXqqwJe/Y0aXUlc0Sohfd0jz9bA112SR5M9lj58tWvAYAJv3MLyrzVZHuvb8Z
isjm+QuLkhjJxi0vufzjSIJn7bIoB81bRO8yLtyzlPsIqXbh0knyRnT4lK9PfVqO
d24l0n03lsOwraAI0ZacQYFd0rYcu8ySB3gTj/wuFjB3ObZcuWM7w9jh1HxMAeXN
IPMqiIT9Ws96BsFbO/9Erz6OUGktCXijf7N0dxkwCXPCpMZI10bF/OBgJNPaA3k0
5g80F+9ex9QsAzc6nuPb74DxnvTMoDu9fmMMllhSLW/qa35YeIn+K/TOMXmrX/Nf
0WmiLmejm9GNHhfh0U3mkOODyyfG96p07eUXwrposgeVjuVO+ElrF6or09E4rwq0
jhOj6ndJeWIuaf62ZdND2b9Afr5pQ1u7fAgquKOBkYwYcio6gI0GpA9xY4BflE28
bcfetvnj1CyX6xa+B6pMLJdsMwPXW+ZC7fM7RLYzipX6bLhtBwfR13jpYBASfUpn
6MWxeKblhvVRexI/CIB4RSbH0jc0l4kRs9AiAwjS2KPA+OHCnEFmrI3EXEBoRD2f
D94S4l8BqQEhE2dv3+37vLy/kmkDZEQzJqxKJQnQ1p6CISHkhzonPqoWQLT0NiRL
AYDVpc6TOV1N8vDbwTXZC2rCC7z6aUSZh6BbZJFNwhz+XhyhDyAKYy12i1yak2gi
bu7TVnxceB5yK6Y2R4aa+bmKHaijYl0obi1VRqbc3Bux4n91R8jM32KqRin+GzQe
I0uI2Sk4enR8ZPij3iqYv8ekM2Diu9X8SCAe0Ywzn8OivAKUP67qnhHKjvdptTYk
BGvVy73S5yWy08NC76qob0kvJWQzzG06GJr9Uons+TPLAifjaTzKQ/IYEmdNCw==
=0NMW
-----END PGP SIGNATURE-----
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2014-05-30 14:51:31 UTC
State Changed
From-To: feedback->open

closed
Comment 5 Bryan Drewery freebsd_committer 2014-06-05 17:50:16 UTC
committed
Comment 6 commit-hook freebsd_committer 2014-06-05 17:50:24 UTC
A commit references this bug:

Author: bdrewery
Date: Thu Jun  5 17:50:02 UTC 2014
New revision: 356654
URL: http://svnweb.freebsd.org/changeset/ports/356654

Log:
  - Fix saving output with -o when using relative paths

  PR:		190158
  Submitted by:	emaste
  Approved by:	luca.pizzamiglio@gmail.com  (maintainer)
  Obtained from:	http://sourceforge.net/p/kdiff3/code/ci/23ad423e4255c80ee22b269f73e20333f7c06678/
  MFH:		2014Q2

Changes:
  head/textproc/kdiff3/Makefile
  head/textproc/kdiff3/files/
  head/textproc/kdiff3/files/patch-src-QT4__fileaccess.cpp
  head/textproc/kdiff3/files/patch-src-QT4__kdiff3.cpp
Comment 7 commit-hook freebsd_committer 2014-06-05 17:52:25 UTC
A commit references this bug:

Author: bdrewery
Date: Thu Jun  5 17:51:35 UTC 2014
New revision: 356655
URL: http://svnweb.freebsd.org/changeset/ports/356655

Log:
  MFH: r356654

  - Fix saving output with -o when using relative paths

  PR:		190158
  Submitted by:	emaste
  Approved by:	luca.pizzamiglio@gmail.com  (maintainer)
  Obtained from:	http://sourceforge.net/p/kdiff3/code/ci/23ad423e4255c80ee22b269f73e20333f7c06678/

Changes:
_U  branches/2014Q2/
  branches/2014Q2/textproc/kdiff3/Makefile
  branches/2014Q2/textproc/kdiff3/files/